summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGavin Hurlbut <ghurlbut@mythtv.org>2011-01-17 20:22:53 (GMT)
committer Gavin Hurlbut <ghurlbut@mythtv.org>2011-01-17 20:35:22 (GMT)
commit3f991fa41a030c585661782d638868e88c64f5dd (patch)
tree1f50515fb42fcf267ea4571dcd09a195a85b832d
parent945c6731794590de8c58c638c0a1b1e40076dea2 (diff)
Allow braindead old git versions to give version
Since some people insist on using old versions of git (earlier than 1.7.x) that don't support git describe --dirty, I'm putting in a fallback. Thanks to yiannividalis@hotmail.com for the idea Closes #9488 (cherry picked from commit 7af8c9a5bc6dff87c02783c34d872e21ee8b0101)
-rwxr-xr-xmythtv/version.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/mythtv/version.sh b/mythtv/version.sh
index 53efe06..3e0b632 100755
--- a/mythtv/version.sh
+++ b/mythtv/version.sh
@@ -22,7 +22,7 @@ GITREPOPATH="exported"
cd ${GITTREEDIR}
-SOURCE_VERSION=$(git describe --dirty || echo Unknown)
+SOURCE_VERSION=$(git describe --dirty || git describe || echo Unknown)
case "${SOURCE_VERSION}" in
exported|Unknown)